# These 2 were taken from official OBS builds
# https://build.opensuse.org/package/view_file/home:olav-st/screencloud/screencloud.spec?expand=1
%global consumer_key 53ed3030cea02e0ea0d9810b53a1d44304f468911
%global consumer_secret 704aead054f3727e0191a4ccd220fd30

# Bytecompile in datadir should be also py3
%global __python %{__python3}

Name:           screencloud
Version:        1.3.1
Release:        1%{?dist}
Summary:        Easy to use screenshot sharing application

# ignatenkobrain: I was so tired, so no unbundling
# src/3rdparty/LibQxt: BSD
# src/3rdparty/QtSingleApplication: BSD
License:        GPLv2+ and BSD
URL:            https://screencloud.net
Source0:        https://github.com/olav-st/screencloud/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  quazip-qt5-devel
BuildRequires:  python3-devel
BuildRequires:  pythonqt-devel
BuildRequires:  openssl-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

# According to defines it's 0.7.0, but who knows
Provides:       bundled(libqxt) = 0.7.0
# it's not completely same as in upstream, but very similar
Provides:       bundled(qtsingleapplication-qt5) = 8fd81b2a0d65aa7275d079903f6d8fe74a1fb3bf

%description
%{summary}.

Take a screenshot using one of the 3 hotkeys or simply click the
ScreenCloud tray icon. You can choose where you want to save your screenshot.

If you choose to upload your screenshot to the screencloud website, a link
will automatically be copied to your clipboard. You can share this link with
your friends or colleagues via email or in an IM conversation.
All they have to do is click the link and look at your screenshot.

ScreenCloud also offers FTP and SFTP uploading if you want to use
your own server.

%prep
%autosetup
# https://github.com/olav-st/screencloud/issues/251
#rm -vrf src/3rdparty/*
# https://github.com/olav-st/screencloud/issues/249
desktop-file-edit --remove-category=Internet --remove-category=TrayIcon res/%{name}.desktop
# https://github.com/olav-st/screencloud/issues/250
chmod -x LICENSE

%build
mkdir %{_target_platform}
pushd %{_target_platform}
  %cmake .. \
    -DCONSUMER_KEY_SCREENCLOUD=%{consumer_key}       \
    -DCONSUMER_SECRET_SCREENCLOUD=%{consumer_secret} \
    %{nil}
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

# We are not interested neither in hacks
rm -vf %{buildroot}%{_bindir}/%{name}.sh
# Nor in useless stuff
rm -vrf %{buildroot}%{_datadir}/doc/%{name}/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-%{version}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/

%changelog
* Sun Nov 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.3.1-1
- Initial package
